package com.wd.workoffice.bean.mesBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 * date: 2021-10-24
 **/
public class WorkLocationBean {

    private int pageNum;
    private int pageSize;
    private int size;
    private int startRow;
    private int endRow;
    private int total;
    private int pages;
    private List<ListBean> list;
    private int prePage;
    private int nextPage;
    private boolean isFirstPage;
    private boolean isLastPage;
    private boolean hasPreviousPage;
    private boolean hasNextPage;
    private int navigatePages;
    private List<Integer> navigatepageNums;
    private int navigateFirstPage;
    private int navigateLastPage;
    private int firstPage;
    private int lastPage;

    public int getPageNum() {
        return pageNum;
    }

    public void setPageNum(int pageNum) {
        this.pageNum = pageNum;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public int getSize() {
        return size;
    }

    public void setSize(int size) {
        this.size = size;
    }

    public int getStartRow() {
        return startRow;
    }

    public void setStartRow(int startRow) {
        this.startRow = startRow;
    }

    public int getEndRow() {
        return endRow;
    }

    public void setEndRow(int endRow) {
        this.endRow = endRow;
    }

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public int getPages() {
        return pages;
    }

    public void setPages(int pages) {
        this.pages = pages;
    }

    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }

    public int getPrePage() {
        return prePage;
    }

    public void setPrePage(int prePage) {
        this.prePage = prePage;
    }

    public int getNextPage() {
        return nextPage;
    }

    public void setNextPage(int nextPage) {
        this.nextPage = nextPage;
    }

    public boolean isIsFirstPage() {
        return isFirstPage;
    }

    public void setIsFirstPage(boolean isFirstPage) {
        this.isFirstPage = isFirstPage;
    }

    public boolean isIsLastPage() {
        return isLastPage;
    }

    public void setIsLastPage(boolean isLastPage) {
        this.isLastPage = isLastPage;
    }

    public boolean isHasPreviousPage() {
        return hasPreviousPage;
    }

    public void setHasPreviousPage(boolean hasPreviousPage) {
        this.hasPreviousPage = hasPreviousPage;
    }

    public boolean isHasNextPage() {
        return hasNextPage;
    }

    public void setHasNextPage(boolean hasNextPage) {
        this.hasNextPage = hasNextPage;
    }

    public int getNavigatePages() {
        return navigatePages;
    }

    public void setNavigatePages(int navigatePages) {
        this.navigatePages = navigatePages;
    }

    public List<Integer> getNavigatepageNums() {
        return navigatepageNums;
    }

    public void setNavigatepageNums(List<Integer> navigatepageNums) {
        this.navigatepageNums = navigatepageNums;
    }

    public int getNavigateFirstPage() {
        return navigateFirstPage;
    }

    public void setNavigateFirstPage(int navigateFirstPage) {
        this.navigateFirstPage = navigateFirstPage;
    }

    public int getNavigateLastPage() {
        return navigateLastPage;
    }

    public void setNavigateLastPage(int navigateLastPage) {
        this.navigateLastPage = navigateLastPage;
    }

    public int getFirstPage() {
        return firstPage;
    }

    public void setFirstPage(int firstPage) {
        this.firstPage = firstPage;
    }

    public int getLastPage() {
        return lastPage;
    }

    public void setLastPage(int lastPage) {
        this.lastPage = lastPage;
    }

    public static class ListBean {
        private String id;
        private String locationCode;
        private String locationName;
        private Object description;
        private int type;
        private Object parentId;
        private Object parentCode;
        private Object parentDesc;
        private Object grandfatheId;
        private Object grandfatheCode;
        private String siteId;
        private String siteCode;
        private String siteName;
        private String address;
        private String siteDesc;
        private Object groupCode;
        private Object groupDesc;
        private Object shipToAddressCode;
        private Object billToAddressCode;
        private int status;
        private String createby;
        private long createDateTime;
        private String changeby;
        private long updateDateTime;
        private Object remark;
        private Object controlAcc;
        private Object departCode;
        private Object departDesc;
        private Object departId;
        private String orgId;
        private Object createCardNo;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getLocationCode() {
            return locationCode;
        }

        public void setLocationCode(String locationCode) {
            this.locationCode = locationCode;
        }

        public String getLocationName() {
            return locationName;
        }

        public void setLocationName(String locationName) {
            this.locationName = locationName;
        }

        public Object getDescription() {
            return description;
        }

        public void setDescription(Object description) {
            this.description = description;
        }

        public int getType() {
            return type;
        }

        public void setType(int type) {
            this.type = type;
        }

        public Object getParentId() {
            return parentId;
        }

        public void setParentId(Object parentId) {
            this.parentId = parentId;
        }

        public Object getParentCode() {
            return parentCode;
        }

        public void setParentCode(Object parentCode) {
            this.parentCode = parentCode;
        }

        public Object getParentDesc() {
            return parentDesc;
        }

        public void setParentDesc(Object parentDesc) {
            this.parentDesc = parentDesc;
        }

        public Object getGrandfatheId() {
            return grandfatheId;
        }

        public void setGrandfatheId(Object grandfatheId) {
            this.grandfatheId = grandfatheId;
        }

        public Object getGrandfatheCode() {
            return grandfatheCode;
        }

        public void setGrandfatheCode(Object grandfatheCode) {
            this.grandfatheCode = grandfatheCode;
        }

        public String getSiteId() {
            return siteId;
        }

        public void setSiteId(String siteId) {
            this.siteId = siteId;
        }

        public String getSiteCode() {
            return siteCode;
        }

        public void setSiteCode(String siteCode) {
            this.siteCode = siteCode;
        }

        public String getSiteName() {
            return siteName;
        }

        public void setSiteName(String siteName) {
            this.siteName = siteName;
        }

        public String getAddress() {
            return address;
        }

        public void setAddress(String address) {
            this.address = address;
        }

        public String getSiteDesc() {
            return siteDesc;
        }

        public void setSiteDesc(String siteDesc) {
            this.siteDesc = siteDesc;
        }

        public Object getGroupCode() {
            return groupCode;
        }

        public void setGroupCode(Object groupCode) {
            this.groupCode = groupCode;
        }

        public Object getGroupDesc() {
            return groupDesc;
        }

        public void setGroupDesc(Object groupDesc) {
            this.groupDesc = groupDesc;
        }

        public Object getShipToAddressCode() {
            return shipToAddressCode;
        }

        public void setShipToAddressCode(Object shipToAddressCode) {
            this.shipToAddressCode = shipToAddressCode;
        }

        public Object getBillToAddressCode() {
            return billToAddressCode;
        }

        public void setBillToAddressCode(Object billToAddressCode) {
            this.billToAddressCode = billToAddressCode;
        }

        public int getStatus() {
            return status;
        }

        public void setStatus(int status) {
            this.status = status;
        }

        public String getCreateby() {
            return createby;
        }

        public void setCreateby(String createby) {
            this.createby = createby;
        }

        public long getCreateDateTime() {
            return createDateTime;
        }

        public void setCreateDateTime(long createDateTime) {
            this.createDateTime = createDateTime;
        }

        public String getChangeby() {
            return changeby;
        }

        public void setChangeby(String changeby) {
            this.changeby = changeby;
        }

        public long getUpdateDateTime() {
            return updateDateTime;
        }

        public void setUpdateDateTime(long updateDateTime) {
            this.updateDateTime = updateDateTime;
        }

        public Object getRemark() {
            return remark;
        }

        public void setRemark(Object remark) {
            this.remark = remark;
        }

        public Object getControlAcc() {
            return controlAcc;
        }

        public void setControlAcc(Object controlAcc) {
            this.controlAcc = controlAcc;
        }

        public Object getDepartCode() {
            return departCode;
        }

        public void setDepartCode(Object departCode) {
            this.departCode = departCode;
        }

        public Object getDepartDesc() {
            return departDesc;
        }

        public void setDepartDesc(Object departDesc) {
            this.departDesc = departDesc;
        }

        public Object getDepartId() {
            return departId;
        }

        public void setDepartId(Object departId) {
            this.departId = departId;
        }

        public String getOrgId() {
            return orgId;
        }

        public void setOrgId(String orgId) {
            this.orgId = orgId;
        }

        public Object getCreateCardNo() {
            return createCardNo;
        }

        public void setCreateCardNo(Object createCardNo) {
            this.createCardNo = createCardNo;
        }
    }
}
